Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.wst.wsdl.binding.http
Interface HTTPPackage

    public interface HTTPPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `HTTPFactory`

Nested Class Summary
`static interface` | `HTTPPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Field Summary
`static HTTPPackage` | `eINSTANCE` The singleton instance of the package
`static java.lang.String` | `eNAME` The package name
`static java.lang.String` | `eNS_PREFIX` The package namespace name
`static java.lang.String` | `eNS_URI` The package namespace URI
`static int` | `HTTP_ADDRESS` The meta object id for the '`Address`' class
`static int` | `HTTP_ADDRESS__DOCUMENTATION_ELEMENT` The feature id for the 'Documentation Element' attribute
`static int` | `HTTP_ADDRESS__ELEMENT` The feature id for the 'Element' attribute
`static int` | `HTTP_ADDRESS__ELEMENT_TYPE` The feature id for the 'Element Type' attribute
`static int` | `HTTP_ADDRESS__LOCATION_URI` The feature id for the 'Location URI' attribute
`static int` | `HTTP_ADDRESS__REQUIRED` The feature id for the 'Required' attribute
`static int` | `HTTP_ADDRESS_FEATURE_COUNT` The number of structural features of the 'Address' class
`static int` | `HTTP_BINDING` The meta object id for the '`Binding`' class
`static int` | `HTTP_BINDING__DOCUMENTATION_ELEMENT` The feature id for the 'Documentation Element' attribute
`static int` | `HTTP_BINDING__ELEMENT` The feature id for the 'Element' attribute
`static int` | `HTTP_BINDING__ELEMENT_TYPE` The feature id for the 'Element Type' attribute
`static int` | `HTTP_BINDING__REQUIRED` The feature id for the 'Required' attribute
`static int` | `HTTP_BINDING__VERB` The feature id for the 'Verb' attribute
`static int` | `HTTP_BINDING_FEATURE_COUNT` The number of structural features of the 'Binding' class
`static int` | `HTTP_OPERATION` The meta object id for the '`Operation`' class
`static int` | `HTTP_OPERATION__DOCUMENTATION_ELEMENT` The feature id for the 'Documentation Element' attribute
`static int` | `HTTP_OPERATION__ELEMENT` The feature id for the 'Element' attribute
`static int` | `HTTP_OPERATION__ELEMENT_TYPE` The feature id for the 'Element Type' attribute
`static int` | `HTTP_OPERATION__LOCATION_URI` The feature id for the 'Location URI' attribute
`static int` | `HTTP_OPERATION__REQUIRED` The feature id for the 'Required' attribute
`static int` | `HTTP_OPERATION_FEATURE_COUNT` The number of structural features of the 'Operation' class
`static int` | `HTTP_URL_ENCODED` The meta object id for the '`Url Encoded`' class
`static int` | `HTTP_URL_ENCODED__DOCUMENTATION_ELEMENT` The feature id for the 'Documentation Element' attribute
`static int` | `HTTP_URL_ENCODED__ELEMENT` The feature id for the 'Element' attribute
`static int` | `HTTP_URL_ENCODED__ELEMENT_TYPE` The feature id for the 'Element Type' attribute
`static int` | `HTTP_URL_ENCODED__REQUIRED` The feature id for the 'Required' attribute
`static int` | `HTTP_URL_ENCODED_FEATURE_COUNT` The number of structural features of the 'Url Encoded' class
`static int` | `HTTP_URL_REPLACEMENT` The meta object id for the '`Url Replacement`' class
`static int` | `HTTP_URL_REPLACEMENT__DOCUMENTATION_ELEMENT` The feature id for the 'Documentation Element' attribute
`static int` | `HTTP_URL_REPLACEMENT__ELEMENT` The feature id for the 'Element' attribute
`static int` | `HTTP_URL_REPLACEMENT__ELEMENT_TYPE` The feature id for the 'Element Type' attribute
`static int` | `HTTP_URL_REPLACEMENT__REQUIRED` The feature id for the 'Required' attribute
`static int` | `HTTP_URL_REPLACEMENT_FEATURE_COUNT` The number of structural features of the 'Url Replacement' class
`static int` | `IHTTP_ADDRESS` The meta object id for the '`IHTTP Address`' class
`static int` | `IHTTP_ADDRESS_FEATURE_COUNT` The number of structural features of the 'IHTTP Address' class
`static int` | `IHTTP_BINDING` The meta object id for the '`IHTTP Binding`' class
`static int` | `IHTTP_BINDING_FEATURE_COUNT` The number of structural features of the 'IHTTP Binding' class
`static int` | `IHTTP_OPERATION` The meta object id for the '`IHTTP Operation`' class
`static int` | `IHTTP_OPERATION_FEATURE_COUNT` The number of structural features of the 'IHTTP Operation' class
`static int` | `IHTTP_URL_ENCODED` The meta object id for the '`IHTTP Url Encoded`' class
`static int` | `IHTTP_URL_ENCODED_FEATURE_COUNT` The number of structural features of the 'IHTTP Url Encoded' class
`static int` | `IHTTP_URL_REPLACEMENT` The meta object id for the '`IHTTP Url Replacement`' class
`static int` | `IHTTP_URL_REPLACEMENT_FEATURE_COUNT` The number of structural features of the 'IHTTP Url Replacement' class

Method Summary
`EAttribute` | `getHTTPAddress_LocationURI()` Returns the meta object for the attribute '`Location URI`'
`EClass` | `getHTTPAddress()` Returns the meta object for class '`Address`'
`EAttribute` | `getHTTPBinding_Verb()` Returns the meta object for the attribute '`Verb`'
`EClass` | `getHTTPBinding()` Returns the meta object for class '`Binding`'
`HTTPFactory` | `getHTTPFactory()` Returns the factory that creates the instances of the model
`EAttribute` | `getHTTPOperation_LocationURI()` Returns the meta object for the attribute '`Location URI`'
`EClass` | `getHTTPOperation()` Returns the meta object for class '`Operation`'
`EClass` | `getHTTPUrlEncoded()` Returns the meta object for class '`Url Encoded`'
`EClass` | `getHTTPUrlReplacement()` Returns the meta object for class '`Url Replacement`'
`EClass` | `getIHTTPAddress()` Returns the meta object for class '`IHTTP Address`'
`EClass` | `getIHTTPBinding()` Returns the meta object for class '`IHTTP Binding`'
`EClass` | `getIHTTPOperation()` Returns the meta object for class '`IHTTP Operation`'
`EClass` | `getIHTTPUrlEncoded()` Returns the meta object for class '`IHTTP Url Encoded`'
`EClass` | `getIHTTPUrlReplacement()` Returns the meta object for class '`IHTTP Url Replacement`'

Field Detail

### eNAME

    static final java.lang.String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final java.lang.String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    static final HTTPPackage eINSTANCE

  The singleton instance of the package.

### HTTP_BINDING

    static final int HTTP_BINDING

  The meta object id for the '`Binding`' class.

  See Also:
    `HTTPBindingImpl`, `HTTPPackageImpl.getHTTPBinding()`, Constant Field Values

### HTTP_BINDING__DOCUMENTATION_ELEMENT

    static final int HTTP_BINDING__DOCUMENTATION_ELEMENT

  The feature id for the 'Documentation Element' attribute.

  See Also:
    Constant Field Values

### HTTP_BINDING__ELEMENT

    static final int HTTP_BINDING__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### HTTP_BINDING__REQUIRED

    static final int HTTP_BINDING__REQUIRED

  The feature id for the 'Required' attribute.

  See Also:
    Constant Field Values

### HTTP_BINDING__ELEMENT_TYPE

    static final int HTTP_BINDING__ELEMENT_TYPE

  The feature id for the 'Element Type' attribute.

  See Also:
    Constant Field Values

### HTTP_BINDING__VERB

    static final int HTTP_BINDING__VERB

  The feature id for the 'Verb' attribute.

  See Also:
    Constant Field Values

### HTTP_BINDING_FEATURE_COUNT

    static final int HTTP_BINDING_FEATURE_COUNT

  The number of structural features of the 'Binding' class.

  See Also:
    Constant Field Values

### HTTP_OPERATION

    static final int HTTP_OPERATION

  The meta object id for the '`Operation`' class.

  See Also:
    `HTTPOperationImpl`, `HTTPPackageImpl.getHTTPOperation()`, Constant Field Values

### HTTP_OPERATION__DOCUMENTATION_ELEMENT

    static final int HTTP_OPERATION__DOCUMENTATION_ELEMENT

  The feature id for the 'Documentation Element' attribute.

  See Also:
    Constant Field Values

### HTTP_OPERATION__ELEMENT

    static final int HTTP_OPERATION__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### HTTP_OPERATION__REQUIRED

    static final int HTTP_OPERATION__REQUIRED

  The feature id for the 'Required' attribute.

  See Also:
    Constant Field Values

### HTTP_OPERATION__ELEMENT_TYPE

    static final int HTTP_OPERATION__ELEMENT_TYPE

  The feature id for the 'Element Type' attribute.

  See Also:
    Constant Field Values

### HTTP_OPERATION__LOCATION_URI

    static final int HTTP_OPERATION__LOCATION_URI

  The feature id for the 'Location URI' attribute.

  See Also:
    Constant Field Values

### HTTP_OPERATION_FEATURE_COUNT

    static final int HTTP_OPERATION_FEATURE_COUNT

  The number of structural features of the 'Operation' class.

  See Also:
    Constant Field Values

### HTTP_URL_REPLACEMENT

    static final int HTTP_URL_REPLACEMENT

  The meta object id for the '`Url Replacement`' class.

  See Also:
    `HTTPUrlReplacementImpl`, `HTTPPackageImpl.getHTTPUrlReplacement()`, Constant Field Values

### HTTP_URL_REPLACEMENT__DOCUMENTATION_ELEMENT

    static final int HTTP_URL_REPLACEMENT__DOCUMENTATION_ELEMENT

  The feature id for the 'Documentation Element' attribute.

  See Also:
    Constant Field Values

### HTTP_URL_REPLACEMENT__ELEMENT

    static final int HTTP_URL_REPLACEMENT__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### HTTP_URL_REPLACEMENT__REQUIRED

    static final int HTTP_URL_REPLACEMENT__REQUIRED

  The feature id for the 'Required' attribute.

  See Also:
    Constant Field Values

### HTTP_URL_REPLACEMENT__ELEMENT_TYPE

    static final int HTTP_URL_REPLACEMENT__ELEMENT_TYPE

  The feature id for the 'Element Type' attribute.

  See Also:
    Constant Field Values

### HTTP_URL_REPLACEMENT_FEATURE_COUNT

    static final int HTTP_URL_REPLACEMENT_FEATURE_COUNT

  The number of structural features of the 'Url Replacement' class.

  See Also:
    Constant Field Values

### HTTP_URL_ENCODED

    static final int HTTP_URL_ENCODED

  The meta object id for the '`Url Encoded`' class.

  See Also:
    `HTTPUrlEncodedImpl`, `HTTPPackageImpl.getHTTPUrlEncoded()`, Constant Field Values

### HTTP_URL_ENCODED__DOCUMENTATION_ELEMENT

    static final int HTTP_URL_ENCODED__DOCUMENTATION_ELEMENT

  The feature id for the 'Documentation Element' attribute.

  See Also:
    Constant Field Values

### HTTP_URL_ENCODED__ELEMENT

    static final int HTTP_URL_ENCODED__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### HTTP_URL_ENCODED__REQUIRED

    static final int HTTP_URL_ENCODED__REQUIRED

  The feature id for the 'Required' attribute.

  See Also:
    Constant Field Values

### HTTP_URL_ENCODED__ELEMENT_TYPE

    static final int HTTP_URL_ENCODED__ELEMENT_TYPE

  The feature id for the 'Element Type' attribute.

  See Also:
    Constant Field Values

### HTTP_URL_ENCODED_FEATURE_COUNT

    static final int HTTP_URL_ENCODED_FEATURE_COUNT

  The number of structural features of the 'Url Encoded' class.

  See Also:
    Constant Field Values

### HTTP_ADDRESS

    static final int HTTP_ADDRESS

  The meta object id for the '`Address`' class.

  See Also:
    `HTTPAddressImpl`, `HTTPPackageImpl.getHTTPAddress()`, Constant Field Values

### HTTP_ADDRESS__DOCUMENTATION_ELEMENT

    static final int HTTP_ADDRESS__DOCUMENTATION_ELEMENT

  The feature id for the 'Documentation Element' attribute.

  See Also:
    Constant Field Values

### HTTP_ADDRESS__ELEMENT

    static final int HTTP_ADDRESS__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### HTTP_ADDRESS__REQUIRED

    static final int HTTP_ADDRESS__REQUIRED

  The feature id for the 'Required' attribute.

  See Also:
    Constant Field Values

### HTTP_ADDRESS__ELEMENT_TYPE

    static final int HTTP_ADDRESS__ELEMENT_TYPE

  The feature id for the 'Element Type' attribute.

  See Also:
    Constant Field Values

### HTTP_ADDRESS__LOCATION_URI

    static final int HTTP_ADDRESS__LOCATION_URI

  The feature id for the 'Location URI' attribute.

  See Also:
    Constant Field Values

### HTTP_ADDRESS_FEATURE_COUNT

    static final int HTTP_ADDRESS_FEATURE_COUNT

  The number of structural features of the 'Address' class.

  See Also:
    Constant Field Values

### IHTTP_ADDRESS

    static final int IHTTP_ADDRESS

  The meta object id for the '`IHTTP Address`' class.

  See Also:
    `HTTPAddress`, `HTTPPackageImpl.getIHTTPAddress()`, Constant Field Values

### IHTTP_ADDRESS_FEATURE_COUNT

    static final int IHTTP_ADDRESS_FEATURE_COUNT

  The number of structural features of the 'IHTTP Address' class.

  See Also:
    Constant Field Values

### IHTTP_BINDING

    static final int IHTTP_BINDING

  The meta object id for the '`IHTTP Binding`' class.

  See Also:
    `HTTPBinding`, `HTTPPackageImpl.getIHTTPBinding()`, Constant Field Values

### IHTTP_BINDING_FEATURE_COUNT

    static final int IHTTP_BINDING_FEATURE_COUNT

  The number of structural features of the 'IHTTP Binding' class.

  See Also:
    Constant Field Values

### IHTTP_OPERATION

    static final int IHTTP_OPERATION

  The meta object id for the '`IHTTP Operation`' class.

  See Also:
    `HTTPOperation`, `HTTPPackageImpl.getIHTTPOperation()`, Constant Field Values

### IHTTP_OPERATION_FEATURE_COUNT

    static final int IHTTP_OPERATION_FEATURE_COUNT

  The number of structural features of the 'IHTTP Operation' class.

  See Also:
    Constant Field Values

### IHTTP_URL_ENCODED

    static final int IHTTP_URL_ENCODED

  The meta object id for the '`IHTTP Url Encoded`' class.

  See Also:
    `HTTPUrlEncoded`, `HTTPPackageImpl.getIHTTPUrlEncoded()`, Constant Field Values

### IHTTP_URL_ENCODED_FEATURE_COUNT

    static final int IHTTP_URL_ENCODED_FEATURE_COUNT

  The number of structural features of the 'IHTTP Url Encoded' class.

  See Also:
    Constant Field Values

### IHTTP_URL_REPLACEMENT

    static final int IHTTP_URL_REPLACEMENT

  The meta object id for the '`IHTTP Url Replacement`' class.

  See Also:
    `HTTPUrlReplacement`, `HTTPPackageImpl.getIHTTPUrlReplacement()`, Constant Field Values

### IHTTP_URL_REPLACEMENT_FEATURE_COUNT

    static final int IHTTP_URL_REPLACEMENT_FEATURE_COUNT

  The number of structural features of the 'IHTTP Url Replacement' class.

  See Also:
    Constant Field Values

Method Detail

### getHTTPBinding

    EClass getHTTPBinding()

  Returns the meta object for class '`Binding`'.

  Returns:
    the meta object for class 'Binding'.
  See Also:
    `HTTPBinding`

### getHTTPBinding_Verb

    EAttribute getHTTPBinding_Verb()

  Returns the meta object for the attribute '`Verb`'.

  Returns:
    the meta object for the attribute 'Verb'.
  See Also:
    `HTTPBinding.getVerb()`, `getHTTPBinding()`

### getHTTPOperation

    EClass getHTTPOperation()

  Returns the meta object for class '`Operation`'.

  Returns:
    the meta object for class 'Operation'.
  See Also:
    `HTTPOperation`

### getHTTPOperation_LocationURI

    EAttribute getHTTPOperation_LocationURI()

  Returns the meta object for the attribute '`Location URI`'.

  Returns:
    the meta object for the attribute 'Location URI'.
  See Also:
    `HTTPOperation.getLocationURI()`, `getHTTPOperation()`

### getHTTPUrlReplacement

    EClass getHTTPUrlReplacement()

  Returns the meta object for class '`Url Replacement`'.

  Returns:
    the meta object for class 'Url Replacement'.
  See Also:
    `HTTPUrlReplacement`

### getHTTPUrlEncoded

    EClass getHTTPUrlEncoded()

  Returns the meta object for class '`Url Encoded`'.

  Returns:
    the meta object for class 'Url Encoded'.
  See Also:
    `HTTPUrlEncoded`

### getHTTPAddress

    EClass getHTTPAddress()

  Returns the meta object for class '`Address`'.

  Returns:
    the meta object for class 'Address'.
  See Also:
    `HTTPAddress`

### getHTTPAddress_LocationURI

    EAttribute getHTTPAddress_LocationURI()

  Returns the meta object for the attribute '`Location URI`'.

  Returns:
    the meta object for the attribute 'Location URI'.
  See Also:
    `HTTPAddress.getLocationURI()`, `getHTTPAddress()`

### getIHTTPAddress

    EClass getIHTTPAddress()

  Returns the meta object for class '`IHTTP Address`'.

  Returns:
    the meta object for class 'IHTTP Address'.
  See Also:
    `HTTPAddress`

### getIHTTPBinding

    EClass getIHTTPBinding()

  Returns the meta object for class '`IHTTP Binding`'.

  Returns:
    the meta object for class 'IHTTP Binding'.
  See Also:
    `HTTPBinding`

### getIHTTPOperation

    EClass getIHTTPOperation()

  Returns the meta object for class '`IHTTP Operation`'.

  Returns:
    the meta object for class 'IHTTP Operation'.
  See Also:
    `HTTPOperation`

### getIHTTPUrlEncoded

    EClass getIHTTPUrlEncoded()

  Returns the meta object for class '`IHTTP Url Encoded`'.

  Returns:
    the meta object for class 'IHTTP Url Encoded'.
  See Also:
    `HTTPUrlEncoded`

### getIHTTPUrlReplacement

    EClass getIHTTPUrlReplacement()

  Returns the meta object for class '`IHTTP Url Replacement`'.

  Returns:
    the meta object for class 'IHTTP Url Replacement'.
  See Also:
    `HTTPUrlReplacement`

### getHTTPFactory

    HTTPFactory getHTTPFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD